org.jboss.jca.core.api.management

## Class ConnectionManager

- java.lang.Object
- - org.jboss.jca.core.api.management.ConnectionManager

- All Implemented Interfaces:
    ManagedEnlistmentTrace

      public class ConnectionManager
      extends java.lang.Object
      implements ManagedEnlistmentTrace

  Represents a connector instance
  Author:
    Jesper Pedersen, Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionManager(java.lang.String uniqueId)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getEnlistmentTrace()` Get the resource adapter
    `java.lang.String` | `getUniqueId()` Get the unique id
    `void` | `setEnlistmentTrace(java.lang.Boolean enlistmentTrace)` Set the enlistmentTrace
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionManager

          public ConnectionManager(java.lang.String uniqueId)

      Constructor
      Parameters:
        `uniqueId` - The unique id

  - ### Method Detail

    - #### getUniqueId

          public java.lang.String getUniqueId()

      Get the unique id
      Returns:
        The value

    - #### getEnlistmentTrace

          public java.lang.Boolean getEnlistmentTrace()

      Get the resource adapter
      Specified by:
        `getEnlistmentTrace` in interface `ManagedEnlistmentTrace`
      Returns:
        The value

    - #### setEnlistmentTrace

          public void setEnlistmentTrace(java.lang.Boolean enlistmentTrace)

      Set the enlistmentTrace
      Parameters:
        `enlistmentTrace` - The enlistmentTrace module

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)